package com.epson.iprint.shared;

import android.os.Bundle;

import java.io.Serializable;

abstract class SharedParam implements Serializable {
    protected boolean isValid = false;
    protected String package_name = null;

    protected abstract void setParam(Bundle bundle) throws SharedDataException;

    SharedParam() {
    }

    public boolean isAvailable() {
        return isValid;
    }

    public String getPackage_name() {
        return package_name;
    }
}
