package com.epson.memcardacc;

import java.util.LinkedHashMap;
import java.util.Map;

/* compiled from: BitmapCache */
class CacheHashMap<K, V> extends LinkedHashMap<K, V> {
    static final int LIMIT = 1024;
    private static final long serialVersionUID = 1;

    CacheHashMap() {
    }

    protected boolean removeEldestEntry(Map.Entry<K, V> entry) {
        return size() > 1024;
    }
}
