package epson.print.Util;

import android.content.Context;
import android.content.Intent;
import android.widget.Toast;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.epson.mobilephone.common.wifidirect.NfcTagUtils;

import epson.print.R;

public class CommonMessage {
    public static void showInvalidPrintMessageIfEpsonNfcPrinter(@NonNull Context context, @Nullable Intent intent) {
        if (intent != null && "android.nfc.action.NDEF_DISCOVERED".equals(intent.getAction()) && NfcTagUtils.parseNECTag(context, intent) != null) {
            Toast.makeText(context, R.string.invalid_nfc_touch_print, Toast.LENGTH_LONG).show();
        }
    }
}
