package epson.print.ecclient;

public class EpsJobAttrib {
    public int mApfAutoCorrect;
    public int mBottomMargin;
    public int mBrightness;
    public int mCdDimIn;
    public int mCdDimOut;
    public int mCmdType;
    public int mColorMode;
    public int mColorPlane;
    public int mContrast;
    public int mCopies;
    public int mDuplex;
    public int mFeedDirection;
    public int mInputResolution;
    public int mLeftMargin;
    public int mMediaSizeIdx;
    public int mMediaTypeIdx;
    public int mPageNum;
    public byte[] mPaletteData;
    public int mPaletteSize;
    public int mPaperSource;
    public int mPrintDirection;
    public int mPrintLayout;
    public int mPrintQuality;
    public int mRedeye;
    public int mRightMargin;
    public int mSaturation;
    public int mSharpness;
    public int mTopMargin;
    public int mUserDefHeight;
    public int mUserDefWidth;
    public int mVersion;

    public EpsJobAttrib() {
        setDefault();
    }

    public void setDefault() {
        mVersion = 4;
        mColorPlane = 1;
        mPaletteSize = 0;
        mPaletteData = null;
        mInputResolution = 1;
        mMediaSizeIdx = 0;
        mMediaTypeIdx = 0;
        mPrintLayout = 2;
        mPrintQuality = 2;
        mPaperSource = 2;
        mPrintDirection = 0;
        mColorMode = 1;
        mBrightness = 0;
        mContrast = 0;
        mSaturation = 0;
        mApfAutoCorrect = 0;
        mSharpness = 0;
        mRedeye = 0;
        mTopMargin = 0;
        mLeftMargin = 0;
        mBottomMargin = 0;
        mRightMargin = 0;
        mCdDimIn = 0;
        mCdDimOut = 0;
        mCmdType = 0;
        mDuplex = 0;
        mCopies = 1;
        mFeedDirection = 0;
        mUserDefWidth = 0;
        mUserDefHeight = 0;
        mPageNum = 0;
    }
}
